Bug 493654 - rhn_register and rhnreg_ks end with exception when "serverURL=" in /etc/sysconfig/rhn/up2date
rhn_register and rhnreg_ks end with exception when "serverURL=" in /etc/sysco...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.8
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 10:23 EDT by Miroslav Vadkerti
Modified: 2016-07-03 20:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: up2date-4.9.1-28.el4
Doc Type: Bug Fix
Doc Text:
In the /etc/sysconfig/rhn/up2date file, leaving the "serverURL" option empty no longer causes the rhn_register and rhnreg_ks utilities to fail with a traceback written to standard error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 09:13:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2009-04-02 10:23:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):
up2date-4.8.1-28.el4

How reproducible:
Always

Steps to Reproduce:
1. vim /etc/sysconfig/rhn/up2date
2. set no string to attribute serverURL=
3. run rhn_register or rhnreg_ks with according params
  
Actual results:
rhn_register:

An error has occurred:
exceptions.AttributeError
See /var/log/up2date for more information

rhnreg_ks:
An error has occurred:
exceptions.AttributeError

Expected results:
Normal exit message and no exception in log file

Additional info:
This is the error thrown in /var/log/up2date:
[Thu Apr  2 10:19:42 2009] up2date   File "/usr/sbin/rhn_register", line 1315, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/rhn_register", line 742, in main
    tui.main()
   File "/usr/share/rhn/up2date_client/tui.py", line 997, in main
    tui.run()
   File "/usr/share/rhn/up2date_client/tui.py", line 930, in run
    win = self.windows[index](self.screen, self)
   File "/usr/share/rhn/up2date_client/tui.py", line 57, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.welcomeText(), 1)
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 306, in welcomeText
    s = rpcServer.getServer()
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 191, in getServer
    password=proxyPassword)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 153, in __init__
    type = (string.lower(type)).strip()
   File "/usr/lib/python2.3/string.py", line 55, in lower
    return s.lower()

[Thu Apr  2 10:20:36 2009] up2date   File "/usr/sbin/rhnreg_ks", line 404, in ?
    main()
   File "/usr/sbin/rhnreg_ks", line 284, in main
    rhnreg.getCaps()
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 345, in getCaps
    s = rpcServer.getServer()
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 191, in getServer
    password=proxyPassword)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 153, in __init__
    type = (string.lower(type)).strip()
   File "/usr/lib/python2.3/string.py", line 55, in lower
    return s.lower()
Comment 2 Michael Mráka 2010-10-01 10:19:51 EDT
Fixed by

$ svn ci
Sending        up2date/rhnreg_ks.py
Sending        up2date/rpcServer.py
Sending        up2date/tui.py
Transmitting file data ...
Committed revision 196479.
Comment 5 Miroslav Suchý 2010-11-12 06:28:19 EST
There was incorrect tar.gz in src.rpm. New package built: 	up2date-4.9.1-28.el4
Please try again.
Comment 6 Martin Minar 2010-11-15 04:21:26 EST
Verified with up2date-4.9.1-28.el4.
Comment 7 Jaromir Hradilek 2011-01-17 06:54:55 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In the /etc/sysconfig/rhn/up2date file, leaving the "serverURL" option empty no longer causes the rhn_register and rhnreg_ks utilities to fail with a traceback written to standard error.
Comment 8 errata-xmlrpc 2011-02-16 09:13:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0240.html

Note You need to log in before you can comment on or make changes to this bug.